/*******************************************************************************
  Main Source File

  Company:
    Microchip Technology Inc.

  File Name:
    main.c

  Summary:
    This file contains the "main" function for a project.

  Description:
    This file contains the "main" function for a project.  The
    "main" function calls the "SYS_Initialize" function to initialize the state
    machines of all modules in the system
 *******************************************************************************/

// *****************************************************************************
// *****************************************************************************
// Section: Included Files
// *****************************************************************************
// *****************************************************************************

#include <stddef.h>                     // Defines NULL
#include <stdbool.h>                    // Defines true
#include <stdlib.h>                     // Defines EXIT_FAILURE
#include "definitions.h"                // SYS function prototypes
#include "OLED128x64.h"
volatile bool bIsI2C_DONE = true ; ;

// *****************************************************************************
// *****************************************************************************
// Section: Main Entry Point
// *****************************************************************************
// *****************************************************************************
void    EIC11_Handler(uintptr_t context)
{
    LED1_PB10_Toggle();
}
void    TC0_EventHandler(TC_TIMER_STATUS Status,  uintptr_t context)
{
    LED2_PA10_Toggle() ;
}
void I2C_EventHandler(uintptr_t context)
{
    if (SERCOM2_I2C_ErrorGet() == SERCOM_I2C_ERROR_NONE)
    {
        bIsI2C_DONE = true;
    }
}
int main ( void )
{
    /* Initialize all modules */
    SYS_Initialize ( NULL );
    EIC_CallbackRegister(EIC_PIN_11, EIC11_Handler,0);
    TC0_TimerCallbackRegister(TC0_EventHandler, (uintptr_t) NULL) ;
    SERCOM2_I2C_CallbackRegister(I2C_EventHandler, 0 ) ;
    TC0_TimerStart();
        OLED_Init();
        OLED_CLS();
        OLED_Put8x16Str(0, 0, (const unsigned char*) "APP-Nano-C21-D21") ;    
        OLED_Put8x16Str(0, 2, (const unsigned char*) "I am ATSAC21G17A") ;     
    
    while ( true )
    {
        /* Maintain state machines of all polled MPLAB Harmony modules. */
        SYS_Tasks ( );  
    }
    /* Execution should not come here during normal operation */
    return ( EXIT_FAILURE );
}


/*******************************************************************************
 End of File
*/

